DebugPostProcessor (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.extractor, class: DebugPostProcessor

Package org.apache.jmeter.extractor

# Class DebugPostProcessor

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.extractor.DebugPostProcessor

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `PostProcessor`, `TestBean`, `org.apache.jmeter.testelement.TestElement`

public class DebugPostProcessor extends AbstractTestElement implements PostProcessor, TestBean
Debugging Post-Processor: creates a subSample containing the variables defined in the previous sampler.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DebugPostProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isDisplayJMeterProperties()`
  `boolean`
  `isDisplayJMeterVariables()`
  `boolean`
  `isDisplaySamplerProperties()`
  `boolean`
  `isDisplaySystemProperties()`
  `void`
  `process()`
  Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.
  `void`
  `setDisplayJMeterProperties(boolean displayJMeterProperties)`
  `void`
  `setDisplayJMeterVariables(boolean displayJMeterVariables)`
  `void`
  `setDisplaySamplerProperties(boolean displaySamplerProperties)`
  `void`
  `setDisplaySystemProperties(boolean displaySystemProperties)`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### DebugPostProcessor

    public DebugPostProcessor()

- ## Method Details

  - ### process

    public void process()
    Description copied from interface: `PostProcessor`
    Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.
    Specified by:
      `process` in interface `PostProcessor`

  - ### isDisplayJMeterVariables

    public boolean isDisplayJMeterVariables()

  - ### setDisplayJMeterVariables

    public void setDisplayJMeterVariables(boolean displayJMeterVariables)

  - ### isDisplayJMeterProperties

    public boolean isDisplayJMeterProperties()

  - ### setDisplayJMeterProperties

    public void setDisplayJMeterProperties(boolean displayJMeterProperties)

  - ### isDisplaySamplerProperties

    public boolean isDisplaySamplerProperties()

  - ### setDisplaySamplerProperties

    public void setDisplaySamplerProperties(boolean displaySamplerProperties)

  - ### isDisplaySystemProperties

    public boolean isDisplaySystemProperties()

  - ### setDisplaySystemProperties

    public void setDisplaySystemProperties(boolean displaySystemProperties)